:root {
  /* Primary Colors */
  --primary-color-50: #f6e6ff;
  --primary-color-100: #edccff;
  --primary-color-150: #e3b3ff;
  --primary-color-200: #da9dff;
  --primary-color-250: #d089ff;
  --primary-color-300: #c777ff;
  --primary-color-350: #bd67ff;
  --primary-color-400: #b45aff;
  --primary-color-450: #aa4eff;
  --primary-color-500: #a044f6;
  --primary-color-550: #9236e8;
  --primary-color-600: #8429d1;
  --primary-color-650: #761eba;
  --primary-color-700: #6715a3;
  --primary-color-750: #590d8c;
  --primary-color-800: #4a0775;
  --primary-color-850: #3c025e;
  --primary-color-900: #2e0047;
  --primary-color-950: #1f0031;
  --primary-color-1000: #10001a;

  /* Grey Colors */
  --grey-50: #f2f3f3;
  --grey-100: #e6e6e8;
  --grey-150: #d9dadc;
  --grey-200: #cdced0;
  --grey-250: #c0c2c4;
  --grey-300: #b4b5b8;
  --grey-350: #a7a9ac;
  --grey-400: #9b9da1;
  --grey-450: #8e9095;
  --grey-500: #828489;
  --grey-550: #75787d;
  --grey-600: #696c71;
  --grey-650: #5d5f65;
  --grey-700: #505359;
  --grey-750: #44474d;
  --grey-800: #383b41;
  --grey-850: #2c2f35;
  --grey-900: #1f2228;
  --grey-950: #13161c;
  --grey-1000: #070a10;

  /* Typography */
  --font-family-base: "Open Sans", sans-serif;
  --font-weight-regular: 400;
  --font-weight-bold: 700;
  --font-color-base: var(--grey-700);
  --font-size-base: 1rem;
  --font-size-md: 1.125rem;
  --font-size-sm: 0.875rem;

  /* Spacing & Borders */
  --radius-sm: 0.5rem;
  --radius-md: 0.75rem;
  --radius-lg: 2rem;

  --padding-sm: 0.5rem;
  --padding-md: 0.75rem;
  --padding-lg: 1rem;

  --gap-sm: 0.5rem;
  --gap-md: 0.75rem;
  --gap-lg: 1rem;
}

html {
  font-size: 14px;
}

body {
  font-family: var(--font-family-base);
  color: var(--font-color-base);
  font-size: var(--font-size-base);
}

a {
  outline: none !important;
}

/* Header */
.s-header {
  background-color: var(--grey-1000);
  padding: var(--padding-lg);
}

.s-header__container,
.s-header__item,
.s-header__actions,
.s-header__action-link {
  display: flex;
  align-items: center;
}

.s-header__container,
.s-header__item {
  gap: var(--gap-lg);
}

.s-header__item--actions {
  margin-left: auto;
}

.s-header__actions {
  gap: 1rem;
}

.s-header__action-link {
  color: white;
  gap: 0.25rem;
  text-decoration: none;
}

.s-header__action-link:hover,
.s-header__action-link:focus {
  color: white;
  text-decoration: none;
}

.s-header__action-form {
  margin: 0;
}

.s-header__dropdown {
  display: inline-block;
}

.s-header__logo {
  width: 70px;
  height: 100%;
  display: block;
}

.s-header__title {
  border-left: 1px solid white;
  padding-left: var(--padding-lg);
  color: white;
  font-size: 20px;
  font-weight: var(--font-weight-bold);
}

/* Navigation */
.s-navigation {
  padding: 0 var(--padding-md);
  border-bottom: 1px solid var(--grey-100);
}

.s-navigation__container {
  display: flex;
  gap: var(--gap-lg);
}

.s-navigation__link {
  border: none;
  color: var(--font-color-base);
  font-size: var(--font-size-md);
  display: inline-block;
  text-decoration: none;
  padding: var(--padding-lg);
  border-bottom: 2px solid transparent;
  transition: background-color 0.3s ease;
}

.s-navigation__link:hover,
.s-navigation__link:focus,
.s-navigation__link.active {
  background-color: var(--primary-color-50);
}

.s-navigation__link.active {
  border-bottom: 2px solid var(--primary-color-600);
}

/* Login Layout */
.s-layout-login {
  display: flex;
  justify-content: center;
  align-items: center;
}

.s-layout-login__container {
  max-width: 35%;

  @media (max-width: 768px) {
    max-width: 100%;
  }
}

.s-layout-login__header {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 40px 0;
}

.s-layout-login__logo img {
  width: 140px;
  height: 100%;
}

/* Login Panel */
.s-panel-login {
  background-color: white;
  padding: 40px;
  border-radius: var(--radius-lg);
}

.s-panel-login h3 {
  color: var(--grey-700);
  text-align: center;
  margin-bottom: 40px;
  font-size: 20px;
}

.s-panel-login__body .form-group > input {
  background: white;
  border-radius: var(--radius-md);
  border: 1px solid var(--grey-500);
  font-size: var(--font-size-md);
  padding: var(--padding-md) var(--padding-lg);
  height: auto;
}

.s-panel-login__body .form-group > input:-webkit-autofill,
.s-panel-login__body .form-group > input:-webkit-autofill:hover,
.s-panel-login__body .form-group > input:-webkit-autofill:focus,
.s-panel-login__body .form-group > input:-webkit-autofill:active {
  -webkit-box-shadow: 0 0 0 1000px white inset !important;
  -webkit-text-fill-color: var(--grey-700) !important;
}

.s-panel-login__footer {
  text-align: center;
}

.s-panel-login__footer a {
  color: var(--primary-color-350);
  text-decoration: none;
}

.s-panel-login__footer a:hover {
  color: var(--primary-color-450);
  text-decoration: none;
}

/* Buttons */
.btn-s-primary {
  background-color: var(--primary-color-600);
  border-radius: var(--radius-md);
  border: none;
  font-size: var(--font-size-md);
  font-weight: var(--font-weight-bold);
  color: white;
  padding: var(--padding-md) var(--padding-lg);
  text-align: center;
  width: 100%;
}

.btn-s-primary:hover {
  background-color: var(--primary-color-700);
}

.btn-s-white {
  background-color: transparent;
  color: white;
  border: none;
  font-weight: var(--font-weight-bold);
}

/* Footer */
.s-footer {
  margin-top: 40px;
  text-align: center;
}

.s-footer p {
  color: var(--grey-400);
  font-style: normal;
}
